## com.puppycrawl.tools.checkstyle.checks.coding
Class MissingCtorCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.DescendantTokenCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.MissingCtorCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class MissingCtorCheck

extends DescendantTokenCheck

Checks that classes (except abstract one) define a ctor and don't rely on the default one.

An example of how to configure the check is:

     <module name="MissingCtor"/>

Author:
  o_sukhodolsky

Constructor Summary
`MissingCtorCheck()` Creates new instance of the check.

Method Summary
`int[]` `getAcceptableTokens()` The configurable token set.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.DescendantTokenCheck
`setLimitedTokens, setMaximumDepth, setMaximumMessage, setMaximumNumber, setMinimumDepth, setMinimumMessage, setMinimumNumber, setSumTokenCounts`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingCtorCheck

    public MissingCtorCheck()

  Creates new instance of the check.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Overrides:
    `getDefaultTokens` in class `DescendantTokenCheck`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Description copied from class: `Check`
  The configurable token set. Used to protect Checks against malicious users who specify an unacceptable token set in the configuration file. The default implementation returns the check's default tokens.

  Overrides:
    `getAcceptableTokens` in class `DescendantTokenCheck`
  Returns:
    the token set this check is designed for.
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `DescendantTokenCheck`
  Parameters:
    `aAST` - the token to process

Copyright © 2001-2011. All Rights Reserved.